Const d2r=22/7/180;


procedure SetCam(vx,vy,vz:single;a,b,c:single);
begin
with Xcam do begin
     x      :=vx;
     y      :=vy;
     z      :=vz;
     pa     :=a*d2r;
     pb     :=b*d2r;
     pc     :=c*d2r;
     sa     :=sin(pa);
     sb     :=sin(pb);
     sc     :=sin(pc);
     ca     :=cos(pa);
     cb     :=cos(pb);
     cc     :=cos(pc);
end;
end;

procedure Cam_see(sx,sy,sz:Single);
var dx,dy,dz,r,r1:Single;
begin
     with xcam do begin
          dx:=sx-x;
          dy:=sy-y;
          dz:=sz-z;

          r:=(dx*dx+dz*dz);
          r1:=(r+dy*dy);

          if r>0 then begin
          r:=sqrt(r);
          ca:=dz/r;
          sa:=-dx/r;
          end;
          if r1>0 then begin
          r1:=sqrt(r1);
          sb:=-dy/r1;
          cb:=r/r1;
          end;
     end;
end;

var Lg:X_light;
procedure AddLg	(x,y,z:single;r,g,b,sr,sg,sb,s,m:Integer);
begin
     Lg.clr.r:=r;
     Lg.clr.g:=g;
     Lg.clr.b:=b;
     Lg.sclr.r:=sr;
     Lg.sclr.g:=sg;
     Lg.sclr.b:=sb;
     Lg.x:=x;
     lg.y:=y;
     lg.z:=z;
     lg.Lgflags:=s;
     Xlights(m,Lg);
end;